Bug 183330 - [PATCH] ports-mgmt/portlint: Fix typo causing Undefined subroutine error
Summary: [PATCH] ports-mgmt/portlint: Fix typo causing Undefined subroutine error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-26 11:40 UTC by koobs
Modified: 2013-10-30 14:37 UTC (History)
1 user (show)

See Also:


Attachments
portlint-2.14.6_1.patch (1.84 KB, patch)
2013-10-26 11:40 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2013-10-26 11:40:03 UTC
Fix a typo introduced in:

http://svnweb.freebsd.org/ports?view=revision&revision=330953

causing:

===> Validating port with portlint
Undefined subroutine &main::get_makvar called at /usr/local/bin/portlint line 1118.
Error validating port

Port maintainer (marcus@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-10-26 11:40:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-10-26 15:49:12 UTC
Author: marcus
Date: Sat Oct 26 14:48:59 2013
New Revision: 331698
URL: http://svnweb.freebsd.org/changeset/ports/331698

Log:
  Update to 2.14.7.
  
  * Fix a typo resulting in an undefined function [1]
  * Add X11 to the list of common OPTIONS [2]
  * Remove an errant space [2]
  * Do not warn on empty .svn directories. [2]
  
  PR:		183330 [1]
  Submitted by:	Kubilay Kocak <koobs.freebsd@gmail.com> [1]
  Reported by:	eadler [2]

Modified:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl

Modified: head/ports-mgmt/portlint/Makefile
==============================================================================
--- head/ports-mgmt/portlint/Makefile	Sat Oct 26 14:45:35 2013	(r331697)
+++ head/ports-mgmt/portlint/Makefile	Sat Oct 26 14:48:59 2013	(r331698)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	portlint
-PORTVERSION=	2.14.6
+PORTVERSION=	2.14.7
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	# none
 DISTFILES=	# none

Modified: head/ports-mgmt/portlint/src/portlint.pl
==============================================================================
--- head/ports-mgmt/portlint/src/portlint.pl	Sat Oct 26 14:45:35 2013	(r331697)
+++ head/ports-mgmt/portlint/src/portlint.pl	Sat Oct 26 14:48:59 2013	(r331698)
@@ -17,7 +17,7 @@
 # OpenBSD and NetBSD will be accepted.
 #
 # $FreeBSD$
-# $MCom: portlint/portlint.pl,v 1.293 2013/10/20 00:49:57 marcus Exp $
+# $MCom: portlint/portlint.pl,v 1.297 2013/10/26 14:41:47 marcus Exp $
 #
 
 use strict;
@@ -52,7 +52,7 @@ $portdir = '.';
 # version variables
 my $major = 2;
 my $minor = 14;
-my $micro = 6;
+my $micro = 7;
 
 sub l { '[{(]'; }
 sub r { '[)}]'; }
@@ -351,7 +351,7 @@ if ($committer) {
 				    "If it still needs to be there, put a dummy comment ".
 					"to state that the file is intentionally left empty.");
 		} elsif (-d && scalar(my @x = <$_/{*,.?*}>) <= 1) {
-			&perror("FATAL", $fullname, -1, "empty directory should be removed.");
+			&perror("FATAL", $fullname, -1, "empty directory should be removed.") unless ($fullname =~ /^\.svn/);
 		} elsif (/^\./) {
 			&perror("WARN", $fullname, -1, "dotfiles are not preferred. ".
 					"If this file is a dotfile to be installed as an example, ".
@@ -777,7 +777,7 @@ sub checkplist {
 
 		if ($_ =~ m|\.mo$| && $makevar{USES} !~ /\bgettext\b/) {
 			&perror("WARN", $file, $., "installing gettext translation files, ".
-				"please define USES[+]=gettext  as appropriate");
+				"please define USES[+]=gettext as appropriate");
 		}
 
 		if ($_ =~ m|\.core$| && $_ !~ /^\@/) {
@@ -1115,7 +1115,7 @@ sub check_depends_syntax {
 				last;
 			}
 			if ($k =~ /^\$\{(\w+)\}$/) {
-				$k = get_makvar($1);
+				$k = get_makevar($1);
 			}
 			my @l = split(':', $k);
 
@@ -1619,7 +1619,7 @@ sub checkmakefile {
 	foreach my $i (@mopt) {
 		if (!grep(/^$i$/, @opt, @aopt)) {
 			# skip global options
-			next if ($i eq 'DOCS' or $i eq 'NLS' or $i eq 'EXAMPLES' or $i eq 'IPV6');
+			next if ($i eq 'DOCS' or $i eq 'NLS' or $i eq 'EXAMPLES' or $i eq 'IPV6' or $i eq 'X11');
 			&perror("WARN", $file, -1, "$i is appears in PORT_OPTIONS:M, ".
 				"but not listed in OPTIONS_DEFINE.");
 		}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Bryan Drewery freebsd_committer 2013-10-30 14:37:22 UTC
State Changed
From-To: open->closed

committed in r331698